using System;

namespace B_Lubenice
{
    class Program
    {
        static void Main(string[] args)
        {
            ulong c = 0;
            string[] s = Console.ReadLine().Split();
            ulong p = ulong.Parse(s[0]);
            ulong q = ulong.Parse(s[1]);
            ulong r = ulong.Parse(s[2]);
            ulong L = ulong.Parse(s[3]);
            ulong R = ulong.Parse(s[4]);

            for (ulong N = L; N <= R; N++)
            {
                if ((N + p - 1) / p + (N + q - 1) / q + (N + r - 1) / r <= N)
                {
                    c++;
                }
            }

            Console.WriteLine(c);
        }
    }
}